%define	name	exaile
%define	version 0.2.8
%define realver	%version
%define rel	2
%define	release	%mkrel %rel

Name:		%{name}
Summary:	A powerful GTK+ 2.x media player
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}_%{realver}.tar.bz2
URL:		http://www.exaile.org/
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	pygtk2.0-devel python-devel
Requires:	pygtk2.0 python-sqlite2 gstreamer0.10-python
Requires:	gstreamer0.10-plugins-good gstreamer0.10-plugins-base 
Requires:	gstreamer0.10-plugins-ugly
Requires:	dbus-python
Requires:	mutagen python-elementtree gnome-python-gtkhtml2
%if %mdvver > 200700
Requires:	python-notify
%endif

%description
Exaile is a media player aiming to be similar to KDE's AmaroK,
but for GTK+ 2.x. It incorporates many of the cool things from AmaroK
(and other media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries 
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed).
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%prep
%setup -q -n %{name}_%realver

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Multimedia/Sound" \
        title="Exaile" \
        longtitle="Listen to, browse, or edit your audio collection"\
        command="%{_bindir}/%{name}" \
        icon="%{name}.png" \
        xdg="true"
EOF
# Mandrivaify the desktop file
perl -pi -e "s#Categories=#Categories=X-MandrivaLinux-Multimedia-Sound;Sound;GNOME;#" ./exaile.desktop
# Mandrivaify the default settings
perl -pi -e "s#/media/ipod#/mnt/removable#g" ./xl/prefs.py ./xl/panels.py
# Patch the makefile for later pythons
PYTHON_VER=%py_ver	# Don't ask me why this hack is needed, but it is.
perl -pi -e "s#python2.4#python$PYTHON_VER#g" ./mmkeys/Makefile

%make		DESTDIR=$RPM_BUILD_ROOT
%makeinstall	DESTDIR=$RPM_BUILD_ROOT

%py_compile $RPM_BUILD_ROOT/usr/share/exaile

%post
%update_desktop_database
%update_menus

%postun
%clean_desktop_database
%update_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc TODO
%_bindir/%name
%_datadir/%name/
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/%name


%changelog
* Wed Feb 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.8-2mdv2007.0
+ Revision: 127326
- Depend on pygtk2, not python-gtk

* Thu Jan 25 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.8-1mdv2007.1
+ Revision: 113532
- Compiled all python modules
- Requires python-notify on %%mdvver > 200700
- New version 0.2.8

* Sun Dec 17 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b2-1mdv2007.1
+ Revision: 98322
- New version 0.2.7b2 (fixes a bug that caused the Open Media menu item to fail)

* Wed Dec 13 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b-1mdv2007.1
+ Revision: 96506
- New version 0.2.7b
- Now does conditional patching of the mmkeys makefile to work with the newer python version
- Added BuildRequires on python-devel
- New version 0.2.6
- New version 0.2.4
- Import exaile

  + plouf <plouf>
    - Fix requires



* Tue Sep 05 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.r-1mdv2007.0
- New version 0.2

* Sat Sep 02 2006 David Walluck <walluck@mandriva.org> 0.2.b5-2mdv2007.0
- Requires: dbus-python

* Fri Aug 18 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b5-1mdv2007.0
- New release 0.2b5

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 0.2.b4-2mdv2007.0
- fix deps

* Mon Jun 26 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b4
- Initial Mandriva Linux package
